Error importing arcgis.features module

552
4
Jump to solution
12-20-2016 11:54 AM
IonutAlixandroae4
Occasional Contributor

Hello,

As seen today that ArcGIS Python API finally released I tried to test some functionality and saw that, at some point, I couldn`t import arcgis.features module as described in the guide from the page (Working with feature layers and features | ArcGIS for Developers).

Has anyone had this error? I`m not sure if it`s a bug or is something from my setup or install...  

Thanks,

Ionut

0 Kudos
1 Solution

Accepted Solutions
JoshuaBixby
MVP Esteemed Contributor

Are you running the latest version of the ArcGIS Python API?  The Features module was only introduced with the latest release, version 1.0.

View solution in original post

4 Replies
JoshuaBixby
MVP Esteemed Contributor

Are you running the latest version of the ArcGIS Python API?  The Features module was only introduced with the latest release, version 1.0.

IonutAlixandroae4
Occasional Contributor

Hi Joshua,

Yes, you were right; I was testing the API from beta and forgot to upgrade ) now it`s perfect. Thank you!

RohitSingh2
Esri Contributor

arcgis.__version__

should report the version as '1.0'. You can use it to verify if you're using the latest version.

IonutAlixandroae4
Occasional Contributor

Hello Rohit,

Yes, I forgot to upgrade from 0.3 version. Now everything it`s working perfect  Thanks a lot!

0 Kudos